<h5>Style com property binding (style binding)</h5>

<button
  [style.backgroundColor]="ativo ? 'blue' : 'gray'"
  [style.color]="ativo ? 'white' : 'black'"
  [style.fontWeight]="ativo ? 'bold' : 'normal'"
  [style.fontSize]="tamanhoFonte + 'px'"
  (click)="mudarAtivo()"
>
  Mudar meu atributo 'ativo'
</button>

<br>

<input type="text" [(ngModel)]="tamanhoFonte">

<h5>Styles com diretiva ngStyle</h5>
<button
  [ngStyle]="{
    'backgroundColor': ativo ? 'blue' : 'gray',
    'color': ativo ? 'white' : 'black',
    'fontWeight': ativo ? 'bold' : 'normal',
    'fontSize': tamanhoFonte + 'px'
  }" (click)="mudarAtivo()">
  Mudar meu atributo 'ativo 2'
</button>
